## ros-foxy-kobuki-velocity-smoother 0.15.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(kobuki_velocity_smoother)

find_package(ament_cmake_ros REQUIRED)
find_package(ecl_build REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)

ecl_enable_cxx14_compiler()
ecl_enable_cxx_warnings()

include_directories(include)

add_library(${PROJECT_NAME} SHARED src/velocity_smoother.cpp)
ament_target_dependencies(${PROJECT_NAME}
  "geometry_msgs"
  "nav_msgs"
  "rcl_interfaces"
  "rclcpp"
  "rclcpp_components"
)

add_executable(velocity_smoother_node src/velocity_smoother_node.cpp)
ament_target_dependencies(velocity_smoother_node
  "rclcpp"
)
target_link_libraries(velocity_smoother_node ${PROJECT_NAME})
set_target_properties(velocity_smoother_node PROPERTIES OUTPUT_NAME velocity_smoother)

rclcpp_components_register_nodes(${PROJECT_NAME}
  "kobuki_velocity_smoother::VelocitySmoother")

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)
install(TARGETS velocity_smoother_node
  DESTINATION lib/${PROJECT_NAME}
)
install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(launch_testing_ament_cmake REQUIRED)
  add_launch_test(
    "test/test_translational_smoothing.py"
    TIMEOUT 30
  )
endif()

ament_package()

=== debian/changelog ===
ros-foxy-kobuki-velocity-smoother (0.15.0-1focal) focal; urgency=high

  * Rename the package to kobuki_velocity_smoother. (#20 <https://github.com/kobuki-base/kobuki_velocity_smoother/issues/20>)
  * Make a few more style fixes for older cpplint. (#18 <https://github.com/kobuki-base/kobuki_velocity_smoother/issues/18>)
  * Update the README.md (#17 <https://github.com/kobuki-base/kobuki_velocity_smoother/issues/17>)
  * Don't install test artifacts. (#16 <https://github.com/kobuki-base/kobuki_velocity_smoother/issues/16>)
  * Minor cleanup of the includes.
  * Remove the internal accel_lim_w variable.
  * Remove internal accel_lim_v.
  * Remove decel_factor internal variable.
  * Remove internal decel_lim_w variable.
  * Remove internal decel_lim_v variable.
  * Remove speed_lim_w internal variable.
  * Remove speed_lim_v internal variable.
  * Remove the quiet internal variable.
  * Make sure to allow other parameters in the list.
  * Enable the style checkers, and fix the style to conform. (#14 <https://github.com/kobuki-base/kobuki_velocity_smoother/issues/14>)
  * Fix the tests to work with modern ROS 2. (#13 <https://github.com/kobuki-base/kobuki_velocity_smoother/issues/13>)
  * Small fix to the velocity smoother. (#12 <https://github.com/kobuki-base/kobuki_velocity_smoother/issues/12>)
  * Fix the test so it works with 'colcon test' (#11 <https://github.com/kobuki-base/kobuki_velocity_smoother/issues/11>)

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 01 Oct 2022 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.14.0-1focal) focal; urgency=high

  * [ros2] parameters/topics renamed more sensibly, #8 <https://github.com/kobuki-base/velocity_smoother/pull/8>
  * [docs] moved from the ROS1 wiki and updated, #8 <https://github.com/kobuki-base/velocity_smoother/pull/8>
  * [tests] translational smoothing test added, #7 <https://github.com/kobuki-base/velocity_smoother/pull/7>

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 20 Jan 2020 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.13.0-1focal) focal; urgency=high

  * [infra] refactored for ROS 2 and renamed to velocity_smoother, #1 <https://github.com/kobuki-base/velocity_smoother/pull/1>

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 20 Jan 2020 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.6.3-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Fri, 05 Dec 2014 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.6.2-1focal) focal; urgency=high

  * yocs_velocity_smoother: adds node name param to launcher
  * adds a little launcher restructing for muxer and smoother
  * Contributors: Marcus Liebhardt

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 30 Nov 2014 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.6.0-1focal) focal; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 08 Jul 2014 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.5.3-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 24 Mar 2014 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.5.2-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 05 Nov 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.5.1-1focal) focal; urgency=high

  * Unify naming politics for binaries and plugins.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 14 Oct 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.5.0-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Fri, 11 Oct 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.4.1-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 08 Oct 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.4.0-1focal) focal; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.
  * Separate and comment velocity feedback remaps.
  * License link fixed.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 29 Aug 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.3.0-1focal) focal; urgency=high

  * Fix on velocity smoother to deal with low-rate simulated time (namely Stage).
  * Allow using end velocity commands as robot feedback (until now we can use only odometry).

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 02 Jul 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.2.3-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 15 Apr 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.2.2-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 10 Feb 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.2.1-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Fri, 08 Feb 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.2.0-1focal) focal; urgency=high

  * Catkinized.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 07 Feb 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.1.3-1focal) focal; urgency=high

  * Dynamic reconfigure for velocity/acceleration limits.
  * Fix on deceleration smoothing.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 08 Jan 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.1.2-1focal) focal; urgency=high

  * Add test program.
  * Add licensing.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 02 Jan 2013 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.1.1-1focal) focal; urgency=high

  * Keep direction constant when smoothing velocities, i.e. draw constant arcs. To do so we must sometimes over-limit dv or dw.
  * Bound velocity in addition to acceleration. Also set physically meaningful values for acceleration.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Fri, 21 Dec 2012 00:00:00 -0000

ros-foxy-kobuki-velocity-smoother (0.1.0-1focal) focal; urgency=high

  * Initial version.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 05 Dec 2012 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-kobuki-velocity-smoother
Section: misc
Priority: optional
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), python3-matplotlib <!nocheck>, ros-foxy-ament-cmake-cppcheck <!nocheck>, ros-foxy-ament-cmake-cpplint <!nocheck>, ros-foxy-ament-cmake-flake8 <!nocheck>, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-pep257 <!nocheck>, ros-foxy-ament-cmake-ros, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-ament-cmake-xmllint <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ecl-build, ros-foxy-geometry-msgs, ros-foxy-launch-testing <!nocheck>, ros-foxy-launch-testing-ament-cmake <!nocheck>, ros-foxy-launch-testing-ros <!nocheck>, ros-foxy-nav-msgs, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-ros2test <!nocheck>, ros-foxy-ros-workspace
Homepage: https://index.ros.org/p/kobuki_velocity_smoother/github-kobuki-base-velocity_smoother/
Standards-Version: 3.9.2

Package: ros-foxy-kobuki-velocity-smoother
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-ros-workspace
Description: Bound incoming velocity messages according to robot velocity and acceleration limits.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-kobuki-velocity-smoother//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
